gnutls_psk_set_server_params_function(3)

NAME
gnutls_psk_set_server_params_function - This function will set the DH parameters callback

SYNOPSIS
#include <gnutls/gnutls.h>

void gnutls_psk_set_server_params_function(gnutls_psk_server_credentials_t res, gnutls_params_function * func);

ARGUMENTS

gnutls_psk_server_credentials_t res
    is a gnutls_certificate_credentials_t structure

gnutls_params_function * func
    is the function to be called

DESCRIPTION
This function will set a callback in order for the server to get the diffie hellman parameters for PSK authentication. The callback should return zero on success.

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>.

COPYRIGHT
Copyright © 2004 Free Software Foundation.
Permission is granted to make and distribute verbatim copies of this manual provided the copyright notice and this permission notice are preserved on all copies.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual.